List Client Presentations
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentationsimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"fiType": "OFCI",
"depositPct": 123,
"outcome": "awaiting",
"archivedAt": "<string>",
"source": {},
"followUps": [
{
"presentationId": "<string>",
"versionN": 123
}
],
"reworkCount": 123,
"id": "<string>",
"collaborationId": "<string>",
"projectId": "<string>",
"project": {
"id": "<string>",
"name": "<string>"
},
"name": "<string>",
"status": "draft",
"expired": true,
"template": {
"id": "<string>",
"name": "<string>"
},
"presentation": {
"id": "<string>",
"name": "<string>",
"slideCount": 123,
"archived": true
},
"currentVersion": {
"n": 123,
"sharedAt": "<string>",
"sharedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
},
"versionCount": 123,
"recipients": [
{
"userId": "<string>",
"email": "<string>",
"name": "<string>",
"reviewStatus": "in_progress",
"lastViewedAt": "<string>",
"submittedAt": "<string>",
"accessRevoked": true
}
],
"outcomes": {
"accepted": 123,
"refused": 123,
"alternative": 123,
"pending": 123,
"total": 123
},
"commentCount": 123,
"lastActivity": {
"type": "created",
"actorName": "<string>",
"at": "<string>"
},
"lastActivityAt": "<string>",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "<string>",
"revision": 123,
"signing": {
"status": "<string>",
"required": [
{
"role": "<string>",
"userId": "<string>",
"signed": true
}
],
"countersignature": true,
"countersigned": true
},
"reviewTemplate": {
"id": "<string>",
"name": "<string>"
},
"signerBindings": [
{}
]
}
],
"nextCursor": "<string>"
}Client Presentations
List Client Presentations
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
client-presentations
List Client Presentations
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentationsimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"fiType": "OFCI",
"depositPct": 123,
"outcome": "awaiting",
"archivedAt": "<string>",
"source": {},
"followUps": [
{
"presentationId": "<string>",
"versionN": 123
}
],
"reworkCount": 123,
"id": "<string>",
"collaborationId": "<string>",
"projectId": "<string>",
"project": {
"id": "<string>",
"name": "<string>"
},
"name": "<string>",
"status": "draft",
"expired": true,
"template": {
"id": "<string>",
"name": "<string>"
},
"presentation": {
"id": "<string>",
"name": "<string>",
"slideCount": 123,
"archived": true
},
"currentVersion": {
"n": 123,
"sharedAt": "<string>",
"sharedBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
},
"versionCount": 123,
"recipients": [
{
"userId": "<string>",
"email": "<string>",
"name": "<string>",
"reviewStatus": "in_progress",
"lastViewedAt": "<string>",
"submittedAt": "<string>",
"accessRevoked": true
}
],
"outcomes": {
"accepted": 123,
"refused": 123,
"alternative": 123,
"pending": 123,
"total": 123
},
"commentCount": 123,
"lastActivity": {
"type": "created",
"actorName": "<string>",
"at": "<string>"
},
"lastActivityAt": "<string>",
"createdBy": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "<string>",
"revision": 123,
"signing": {
"status": "<string>",
"required": [
{
"role": "<string>",
"userId": "<string>",
"signed": true
}
],
"countersignature": true,
"countersigned": true
},
"reviewTemplate": {
"id": "<string>",
"name": "<string>"
},
"signerBindings": [
{}
]
}
],
"nextCursor": "<string>"
}Query Parameters
⌘I